WABT(1) | General Commands Manual | WABT(1)

# NAME

wast2json — convert a file in the wasm spec test format to a JSON file and associated wasm binary files

# SYNOPSIS

wast2json | [options] file

# DESCRIPTION

wast2json reads a file in the wasm spec test format, checks it for errors, and converts it to a JSON file and associated wasm binary files.
The options are as follows:

-v, --verbose
  Use multiple times for more info
--help
  Print this help message
--debug-parser
  Turn on debugging the parser of wast files
--enable-exceptions
  Enable Experimental exception handling
--disable-mutable-globals
  Disable Import/export mutable globals
--enable-saturating-float-to-int
  Enable Saturating float-to-int operators
--enable-sign-extension
  Enable Sign-extension operators
--enable-simd
  Enable SIMD support
--enable-threads
  Enable Threading support
--enable-multi-value
  Enable Multi-value
--enable-tail-call
  Enable Tail-call support
-o, --output=FILE
  output wasm binary file
-r, --relocatable
  Create a relocatable wasm binary (suitable for linking with e.g. lld)
--no-canonicalize-leb128s
  Write all LEB128 sizes as 5-bytes instead of their minimal size
--debug-names
  Write debug names to the generated binary file
--no-check
  Don't check for invalid modules

# EXAMPLES

Parse spec-test.wast, and write files to spec-test.json. Modules are written to spec-test.0.wasm, spec-test.1.wasm, etc.
`$ wast2json spec-test.wast -o spec-test.json`

# SEE ALSO

wasm-interp(1), wasm-objdump(1), wasm-opcodecnt(1), wasm-strip(1), wasm-validate(1), wasm2c(1), wasm2wat(1), wat-desugar(1), wat2wasm(1), spectest-interp(1)

# BUGS

If you find a bug, please report it at
https://github.com/WebAssembly/wabt/issues.

December 17, 2018 | Debian